---
title: XMLHttpRequest.channel
slug: Web/API/XMLHttpRequest/channel
tags:
  - API
  - Non-standard
  - Property
  - Reference
  - XHR
  - XMLHttpRequest
  - channel
  - nsIChannel
---
<p>{{draft}}{{APIRef('XMLHttpRequest')}}</p>

<p>XMLHttpRequest.channel is an <code><a href="/en-US/docs/Mozilla/Tech/XPCOM/Reference/Interface/nsIChannel">nsIChannel</a></code> that used by the object when performing the request. This is <code>null</code> if the channel hasn't been created yet. In the case of a multi-part request, this is the initial channel, not the different parts in the multi-part request. <strong>Requires elevated privileges to access.</strong></p>
